Gelmiş geçmiş en büyük porno sitemiz olan 2pe de her zaman en kaliteli pornoları sunmayı hedefledik. Diğer video sitemiz olan vuam da ise hd porno ağırlıklı çalışmalara başladık.

  1. #1
    Sencha User
    Join Date
    Jun 2010
    Posts
    18
    Answers
    2
    Vote Rating
    0
    baze is on a distinguished road

      0  

    Default Answered: new chrome 24.X version problems

    Answered: new chrome 24.X version problems


    Hi,

    I have couple of projects where I use extgwt and gxt, since google update chrome to version 24 all the
    fadein/out slidein/out , etc are not working(the are stuck in a endless loop).

    The same behaver can be seen on the examples and examples-2 test cases...

    Im not sure if its more a question for the chromium team or maybe for the GWT team,
    there is a question on the gwt forum:

    https://groups.google.com/forum/?fro...it/UBWsvHYM4SE

    but they say 2.5 should be the fix...i used this one but the problem persist.
    I guess you have internal implement...

    Blaze

  2. If the workaround works, then updating to GWT 2.5.0 (the latest stable release, about 3 months old) should work as well as a more permanent fix. The same GXT jar that supports GWT 2.4 will also support GWT 2.5.

    A quick look at the Fx types in GXT 2.2 says that those animations are backed by the GWT Animation class, so both the fix (update to 2.5.0) and the workaround (additional <replace-with> rules) should work.

  3. #2
    Sencha User
    Join Date
    Jul 2009
    Location
    Trabzon
    Posts
    99
    Vote Rating
    0
    harun is on a distinguished road

      0  

    Default


    Hi ,

    try this, Workaround in comment 27 works very well.

    http://code.google.com/p/chromium/is...tail?id=158910
    Website: harunates.com
    Blog: blog.harunates.com
    Feel free to contact me harun@harunates.com

  4. #3
    Sencha - GXT Dev Team
    Join Date
    Feb 2009
    Location
    Minnesota
    Posts
    2,717
    Answers
    109
    Vote Rating
    87
    Colin Alworth is a glorious beacon of light Colin Alworth is a glorious beacon of light Colin Alworth is a glorious beacon of light Colin Alworth is a glorious beacon of light Colin Alworth is a glorious beacon of light

      1  

    Default


    If the workaround works, then updating to GWT 2.5.0 (the latest stable release, about 3 months old) should work as well as a more permanent fix. The same GXT jar that supports GWT 2.4 will also support GWT 2.5.

    A quick look at the Fx types in GXT 2.2 says that those animations are backed by the GWT Animation class, so both the fix (update to 2.5.0) and the workaround (additional <replace-with> rules) should work.

  5. #4
    Sencha User
    Join Date
    Jul 2009
    Location
    Trabzon
    Posts
    99
    Vote Rating
    0
    harun is on a distinguished road

      0  

    Default


    Hi Colin,

    you're right, but after using GWT 2.5.0 I received this warning message while compile, is it important or is there any solution for this?
    Code:
      [java]    Computing all possible rebind results for 'com.google.gwt.user.client.ui.NamedFrame.IFrameTemplate'
         [java]       Rebinding com.google.gwt.user.client.ui.NamedFrame.IFrameTemplate
         [java]          Invoking generator com.google.gwt.safehtml.rebind.SafeHtmlTemplatesGenerator
         [java]             Constructing interface com.google.gwt.user.client.ui.NamedFrame.IFrameTemplate
         [java]                Generating method body for get()
         [java]                   Template with variable in URL attribute context: The template code generator will sanitize the URL.  Use SafeUri to specify arguments in a URL attribute context that should not be sanitized.
         [java]
    Website: harunates.com
    Blog: blog.harunates.com
    Feel free to contact me harun@harunates.com

  6. #5
    Sencha User
    Join Date
    Jun 2010
    Posts
    18
    Answers
    2
    Vote Rating
    0
    baze is on a distinguished road

      0  

    Default


    Hi,

    I spend some time after posting here and I saw that the extgwt and gxt implement uses the animation classes from gwt. So 2.5 fix the problem, its using now the correct animation frames.

    Like I wrote before I did the update even before posting here, but probablly my update to 2.5 didnt went ok.
    After rechecking the process and compile again the bug is not present, also there was no warning or what so ever messages.

    what was your debug level for the compile process, and which mode did you used?!

    Blaze

  7. #6
    Sencha User
    Join Date
    Jul 2009
    Location
    Trabzon
    Posts
    99
    Vote Rating
    0
    harun is on a distinguished road

      0  

    Default


    Log Level: Info,
    Output style: Obfuscated and Pretty
    Website: harunates.com
    Blog: blog.harunates.com
    Feel free to contact me harun@harunates.com

  8. #7
    Sencha User
    Join Date
    Jun 2010
    Posts
    18
    Answers
    2
    Vote Rating
    0
    baze is on a distinguished road

      0  

    Default


    I recompile with info and debug + obfuscated and pretty, but I dont get any warning.

    Here are the rule matching:

    Code:
       Checking rule <generate-with class='com.google.gwt.safehtml.rebind.SafeHtmlTemplatesGenerator'/>
         [java]             Checking if all subconditions are true (<all>)
         [java]                <when-assignable class='com.google.gwt.safehtml.client.SafeHtmlTemplates'/>
         [java]                   No, the requested type was not assignable
         [java]                No: One or more subconditions was false
         [java]          Rule did not match
         [java]          Found better fallback match for <generate-with class='com.google.gwt.safehtml.rebind.SafeHtmlTemplatesGenerator'/>
         [java]          Checking rule <replace-with class='com.google.gwt.animation.client.AnimationSchedulerImplWebkit'/>
         [java]             Checking if all subconditions are true (<all>)
         [java]                <when-type-is class='com.google.gwt.animation.client.AnimationScheduler'/>
         [java]                   Not an exact match
         [java]                No: One or more subconditions was false
         [java]          Rule did not match
         [java]          Found better fallback match for <replace-with class='com.google.gwt.animation.client.AnimationSchedulerImplWebkit'/>
         [java]          Checking rule <replace-with class='com.google.gwt.animation.client.AnimationSchedulerImplMozilla'/>
         [java]             Checking if all subconditions are true (<all>)
         [java]                <when-type-is class='com.google.gwt.animation.client.AnimationScheduler'/>
         [java]                   Not an exact match
         [java]                No: One or more subconditions was false
         [java]          Rule did not match
         [java]          Found better fallback match for <replace-with class='com.google.gwt.animation.client.AnimationSchedulerImplMozilla'/>
         [java]          Checking rule <replace-with class='com.google.gwt.animation.client.AnimationSchedulerImplTimer'/>
         [java]             Checking if all subconditions are true (<all>)
         [java]                <when-type-is class='com.google.gwt.animation.client.AnimationScheduler'/>
         [java]                   Not an exact match
         [java]                No: One or more subconditions was false
         [java]          Rule did not match
         [java]          Found better fallback match for <replace-with class='com.google.gwt.animation.client.AnimationSchedulerImplTimer'/>

  9. #8
    Sencha User
    Join Date
    Jul 2009
    Location
    Trabzon
    Posts
    99
    Vote Rating
    0
    harun is on a distinguished road

      0  

    Default


    Hi baze,

    are you using GXT 2.2.5 and GWT 2.5.0?
    Website: harunates.com
    Blog: blog.harunates.com
    Feel free to contact me harun@harunates.com

  10. #9
    Sencha User
    Join Date
    Jun 2010
    Posts
    18
    Answers
    2
    Vote Rating
    0
    baze is on a distinguished road

      0  

    Default


    Hi Harun,

    This one that I post the rebind its a GXT(extgwt) 2.2.5 and GWT 2.5.0,
    I have other project with GXT 3.0.1 and GWT 2.5.0 and also has no problems.

    Dose your compiled application work or?!

  11. #10
    Sencha User
    Join Date
    Jul 2009
    Location
    Trabzon
    Posts
    99
    Vote Rating
    0
    harun is on a distinguished road

      0  

    Default


    Yes, it is working like a charm,

    But as I already mentioned, it is only warning, not error

    I think it is not important,
    Website: harunates.com
    Blog: blog.harunates.com
    Feel free to contact me harun@harunates.com

Thread Participants: 2

Tags for this Thread